package com.unis.base.server.example;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TyJhxxzbExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TyJhxxzbExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andJhxxidIsNull() {
            addCriterion("JHXXID is null");
            return (Criteria) this;
        }

        public Criteria andJhxxidIsNotNull() {
            addCriterion("JHXXID is not null");
            return (Criteria) this;
        }

        public Criteria andJhxxidEqualTo(String value) {
            addCriterion("JHXXID =", value, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidNotEqualTo(String value) {
            addCriterion("JHXXID <>", value, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidGreaterThan(String value) {
            addCriterion("JHXXID >", value, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidGreaterThanOrEqualTo(String value) {
            addCriterion("JHXXID >=", value, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidLessThan(String value) {
            addCriterion("JHXXID <", value, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidLessThanOrEqualTo(String value) {
            addCriterion("JHXXID <=", value, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidLike(String value) {
            addCriterion("JHXXID like", value, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidNotLike(String value) {
            addCriterion("JHXXID not like", value, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidIn(List<String> values) {
            addCriterion("JHXXID in", values, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidNotIn(List<String> values) {
            addCriterion("JHXXID not in", values, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidBetween(String value1, String value2) {
            addCriterion("JHXXID between", value1, value2, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidNotBetween(String value1, String value2) {
            addCriterion("JHXXID not between", value1, value2, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhhIsNull() {
            addCriterion("JHH is null");
            return (Criteria) this;
        }

        public Criteria andJhhIsNotNull() {
            addCriterion("JHH is not null");
            return (Criteria) this;
        }

        public Criteria andJhhEqualTo(String value) {
            addCriterion("JHH =", value, "jhh");
            return (Criteria) this;
        }

        public Criteria andJhhNotEqualTo(String value) {
            addCriterion("JHH <>", value, "jhh");
            return (Criteria) this;
        }

        public Criteria andJhhGreaterThan(String value) {
            addCriterion("JHH >", value, "jhh");
            return (Criteria) this;
        }

        public Criteria andJhhGreaterThanOrEqualTo(String value) {
            addCriterion("JHH >=", value, "jhh");
            return (Criteria) this;
        }

        public Criteria andJhhLessThan(String value) {
            addCriterion("JHH <", value, "jhh");
            return (Criteria) this;
        }

        public Criteria andJhhLessThanOrEqualTo(String value) {
            addCriterion("JHH <=", value, "jhh");
            return (Criteria) this;
        }

        public Criteria andJhhLike(String value) {
            addCriterion("JHH like", value, "jhh");
            return (Criteria) this;
        }

        public Criteria andJhhNotLike(String value) {
            addCriterion("JHH not like", value, "jhh");
            return (Criteria) this;
        }

        public Criteria andJhhIn(List<String> values) {
            addCriterion("JHH in", values, "jhh");
            return (Criteria) this;
        }

        public Criteria andJhhNotIn(List<String> values) {
            addCriterion("JHH not in", values, "jhh");
            return (Criteria) this;
        }

        public Criteria andJhhBetween(String value1, String value2) {
            addCriterion("JHH between", value1, value2, "jhh");
            return (Criteria) this;
        }

        public Criteria andJhhNotBetween(String value1, String value2) {
            addCriterion("JHH not between", value1, value2, "jhh");
            return (Criteria) this;
        }

        public Criteria andJhbtIsNull() {
            addCriterion("JHBT is null");
            return (Criteria) this;
        }

        public Criteria andJhbtIsNotNull() {
            addCriterion("JHBT is not null");
            return (Criteria) this;
        }

        public Criteria andJhbtEqualTo(String value) {
            addCriterion("JHBT =", value, "jhbt");
            return (Criteria) this;
        }

        public Criteria andJhbtNotEqualTo(String value) {
            addCriterion("JHBT <>", value, "jhbt");
            return (Criteria) this;
        }

        public Criteria andJhbtGreaterThan(String value) {
            addCriterion("JHBT >", value, "jhbt");
            return (Criteria) this;
        }

        public Criteria andJhbtGreaterThanOrEqualTo(String value) {
            addCriterion("JHBT >=", value, "jhbt");
            return (Criteria) this;
        }

        public Criteria andJhbtLessThan(String value) {
            addCriterion("JHBT <", value, "jhbt");
            return (Criteria) this;
        }

        public Criteria andJhbtLessThanOrEqualTo(String value) {
            addCriterion("JHBT <=", value, "jhbt");
            return (Criteria) this;
        }

        public Criteria andJhbtLike(String value) {
            addCriterion("JHBT like", value, "jhbt");
            return (Criteria) this;
        }

        public Criteria andJhbtNotLike(String value) {
            addCriterion("JHBT not like", value, "jhbt");
            return (Criteria) this;
        }

        public Criteria andJhbtIn(List<String> values) {
            addCriterion("JHBT in", values, "jhbt");
            return (Criteria) this;
        }

        public Criteria andJhbtNotIn(List<String> values) {
            addCriterion("JHBT not in", values, "jhbt");
            return (Criteria) this;
        }

        public Criteria andJhbtBetween(String value1, String value2) {
            addCriterion("JHBT between", value1, value2, "jhbt");
            return (Criteria) this;
        }

        public Criteria andJhbtNotBetween(String value1, String value2) {
            addCriterion("JHBT not between", value1, value2, "jhbt");
            return (Criteria) this;
        }

        public Criteria andJhmsIsNull() {
            addCriterion("JHMS is null");
            return (Criteria) this;
        }

        public Criteria andJhmsIsNotNull() {
            addCriterion("JHMS is not null");
            return (Criteria) this;
        }

        public Criteria andJhmsEqualTo(String value) {
            addCriterion("JHMS =", value, "jhms");
            return (Criteria) this;
        }

        public Criteria andJhmsNotEqualTo(String value) {
            addCriterion("JHMS <>", value, "jhms");
            return (Criteria) this;
        }

        public Criteria andJhmsGreaterThan(String value) {
            addCriterion("JHMS >", value, "jhms");
            return (Criteria) this;
        }

        public Criteria andJhmsGreaterThanOrEqualTo(String value) {
            addCriterion("JHMS >=", value, "jhms");
            return (Criteria) this;
        }

        public Criteria andJhmsLessThan(String value) {
            addCriterion("JHMS <", value, "jhms");
            return (Criteria) this;
        }

        public Criteria andJhmsLessThanOrEqualTo(String value) {
            addCriterion("JHMS <=", value, "jhms");
            return (Criteria) this;
        }

        public Criteria andJhmsLike(String value) {
            addCriterion("JHMS like", value, "jhms");
            return (Criteria) this;
        }

        public Criteria andJhmsNotLike(String value) {
            addCriterion("JHMS not like", value, "jhms");
            return (Criteria) this;
        }

        public Criteria andJhmsIn(List<String> values) {
            addCriterion("JHMS in", values, "jhms");
            return (Criteria) this;
        }

        public Criteria andJhmsNotIn(List<String> values) {
            addCriterion("JHMS not in", values, "jhms");
            return (Criteria) this;
        }

        public Criteria andJhmsBetween(String value1, String value2) {
            addCriterion("JHMS between", value1, value2, "jhms");
            return (Criteria) this;
        }

        public Criteria andJhmsNotBetween(String value1, String value2) {
            addCriterion("JHMS not between", value1, value2, "jhms");
            return (Criteria) this;
        }

        public Criteria andSskddmIsNull() {
            addCriterion("SSKDDM is null");
            return (Criteria) this;
        }

        public Criteria andSskddmIsNotNull() {
            addCriterion("SSKDDM is not null");
            return (Criteria) this;
        }

        public Criteria andSskddmEqualTo(String value) {
            addCriterion("SSKDDM =", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotEqualTo(String value) {
            addCriterion("SSKDDM <>", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmGreaterThan(String value) {
            addCriterion("SSKDDM >", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmGreaterThanOrEqualTo(String value) {
            addCriterion("SSKDDM >=", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLessThan(String value) {
            addCriterion("SSKDDM <", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLessThanOrEqualTo(String value) {
            addCriterion("SSKDDM <=", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLike(String value) {
            addCriterion("SSKDDM like", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotLike(String value) {
            addCriterion("SSKDDM not like", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmIn(List<String> values) {
            addCriterion("SSKDDM in", values, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotIn(List<String> values) {
            addCriterion("SSKDDM not in", values, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmBetween(String value1, String value2) {
            addCriterion("SSKDDM between", value1, value2, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotBetween(String value1, String value2) {
            addCriterion("SSKDDM not between", value1, value2, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskdmcIsNull() {
            addCriterion("SSKDMC is null");
            return (Criteria) this;
        }

        public Criteria andSskdmcIsNotNull() {
            addCriterion("SSKDMC is not null");
            return (Criteria) this;
        }

        public Criteria andSskdmcEqualTo(String value) {
            addCriterion("SSKDMC =", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotEqualTo(String value) {
            addCriterion("SSKDMC <>", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcGreaterThan(String value) {
            addCriterion("SSKDMC >", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcGreaterThanOrEqualTo(String value) {
            addCriterion("SSKDMC >=", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLessThan(String value) {
            addCriterion("SSKDMC <", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLessThanOrEqualTo(String value) {
            addCriterion("SSKDMC <=", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLike(String value) {
            addCriterion("SSKDMC like", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotLike(String value) {
            addCriterion("SSKDMC not like", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcIn(List<String> values) {
            addCriterion("SSKDMC in", values, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotIn(List<String> values) {
            addCriterion("SSKDMC not in", values, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcBetween(String value1, String value2) {
            addCriterion("SSKDMC between", value1, value2, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotBetween(String value1, String value2) {
            addCriterion("SSKDMC not between", value1, value2, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSsqydmIsNull() {
            addCriterion("SSQYDM is null");
            return (Criteria) this;
        }

        public Criteria andSsqydmIsNotNull() {
            addCriterion("SSQYDM is not null");
            return (Criteria) this;
        }

        public Criteria andSsqydmEqualTo(String value) {
            addCriterion("SSQYDM =", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotEqualTo(String value) {
            addCriterion("SSQYDM <>", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmGreaterThan(String value) {
            addCriterion("SSQYDM >", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmGreaterThanOrEqualTo(String value) {
            addCriterion("SSQYDM >=", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLessThan(String value) {
            addCriterion("SSQYDM <", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLessThanOrEqualTo(String value) {
            addCriterion("SSQYDM <=", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLike(String value) {
            addCriterion("SSQYDM like", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotLike(String value) {
            addCriterion("SSQYDM not like", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmIn(List<String> values) {
            addCriterion("SSQYDM in", values, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotIn(List<String> values) {
            addCriterion("SSQYDM not in", values, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmBetween(String value1, String value2) {
            addCriterion("SSQYDM between", value1, value2, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotBetween(String value1, String value2) {
            addCriterion("SSQYDM not between", value1, value2, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIsNull() {
            addCriterion("SSYQMC is null");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIsNotNull() {
            addCriterion("SSYQMC is not null");
            return (Criteria) this;
        }

        public Criteria andSsyqmcEqualTo(String value) {
            addCriterion("SSYQMC =", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotEqualTo(String value) {
            addCriterion("SSYQMC <>", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcGreaterThan(String value) {
            addCriterion("SSYQMC >", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcGreaterThanOrEqualTo(String value) {
            addCriterion("SSYQMC >=", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLessThan(String value) {
            addCriterion("SSYQMC <", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLessThanOrEqualTo(String value) {
            addCriterion("SSYQMC <=", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLike(String value) {
            addCriterion("SSYQMC like", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotLike(String value) {
            addCriterion("SSYQMC not like", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIn(List<String> values) {
            addCriterion("SSYQMC in", values, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotIn(List<String> values) {
            addCriterion("SSYQMC not in", values, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcBetween(String value1, String value2) {
            addCriterion("SSYQMC between", value1, value2, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotBetween(String value1, String value2) {
            addCriterion("SSYQMC not between", value1, value2, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andJhlxIsNull() {
            addCriterion("JHLX is null");
            return (Criteria) this;
        }

        public Criteria andJhlxIsNotNull() {
            addCriterion("JHLX is not null");
            return (Criteria) this;
        }

        public Criteria andJhlxEqualTo(String value) {
            addCriterion("JHLX =", value, "jhlx");
            return (Criteria) this;
        }

        public Criteria andJhlxNotEqualTo(String value) {
            addCriterion("JHLX <>", value, "jhlx");
            return (Criteria) this;
        }

        public Criteria andJhlxGreaterThan(String value) {
            addCriterion("JHLX >", value, "jhlx");
            return (Criteria) this;
        }

        public Criteria andJhlxGreaterThanOrEqualTo(String value) {
            addCriterion("JHLX >=", value, "jhlx");
            return (Criteria) this;
        }

        public Criteria andJhlxLessThan(String value) {
            addCriterion("JHLX <", value, "jhlx");
            return (Criteria) this;
        }

        public Criteria andJhlxLessThanOrEqualTo(String value) {
            addCriterion("JHLX <=", value, "jhlx");
            return (Criteria) this;
        }

        public Criteria andJhlxLike(String value) {
            addCriterion("JHLX like", value, "jhlx");
            return (Criteria) this;
        }

        public Criteria andJhlxNotLike(String value) {
            addCriterion("JHLX not like", value, "jhlx");
            return (Criteria) this;
        }

        public Criteria andJhlxIn(List<String> values) {
            addCriterion("JHLX in", values, "jhlx");
            return (Criteria) this;
        }

        public Criteria andJhlxNotIn(List<String> values) {
            addCriterion("JHLX not in", values, "jhlx");
            return (Criteria) this;
        }

        public Criteria andJhlxBetween(String value1, String value2) {
            addCriterion("JHLX between", value1, value2, "jhlx");
            return (Criteria) this;
        }

        public Criteria andJhlxNotBetween(String value1, String value2) {
            addCriterion("JHLX not between", value1, value2, "jhlx");
            return (Criteria) this;
        }

        public Criteria andLsyqslIsNull() {
            addCriterion("LSYQSL is null");
            return (Criteria) this;
        }

        public Criteria andLsyqslIsNotNull() {
            addCriterion("LSYQSL is not null");
            return (Criteria) this;
        }

        public Criteria andLsyqslEqualTo(BigDecimal value) {
            addCriterion("LSYQSL =", value, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsyqslNotEqualTo(BigDecimal value) {
            addCriterion("LSYQSL <>", value, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsyqslGreaterThan(BigDecimal value) {
            addCriterion("LSYQSL >", value, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsyqslGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("LSYQSL >=", value, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsyqslLessThan(BigDecimal value) {
            addCriterion("LSYQSL <", value, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsyqslLessThanOrEqualTo(BigDecimal value) {
            addCriterion("LSYQSL <=", value, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsyqslIn(List<BigDecimal> values) {
            addCriterion("LSYQSL in", values, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsyqslNotIn(List<BigDecimal> values) {
            addCriterion("LSYQSL not in", values, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsyqslBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSYQSL between", value1, value2, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsyqslNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSYQSL not between", value1, value2, "lsyqsl");
            return (Criteria) this;
        }

        public Criteria andLsnqIsNull() {
            addCriterion("LSNQ is null");
            return (Criteria) this;
        }

        public Criteria andLsnqIsNotNull() {
            addCriterion("LSNQ is not null");
            return (Criteria) this;
        }

        public Criteria andLsnqEqualTo(String value) {
            addCriterion("LSNQ =", value, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqNotEqualTo(String value) {
            addCriterion("LSNQ <>", value, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqGreaterThan(String value) {
            addCriterion("LSNQ >", value, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqGreaterThanOrEqualTo(String value) {
            addCriterion("LSNQ >=", value, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqLessThan(String value) {
            addCriterion("LSNQ <", value, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqLessThanOrEqualTo(String value) {
            addCriterion("LSNQ <=", value, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqLike(String value) {
            addCriterion("LSNQ like", value, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqNotLike(String value) {
            addCriterion("LSNQ not like", value, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqIn(List<String> values) {
            addCriterion("LSNQ in", values, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqNotIn(List<String> values) {
            addCriterion("LSNQ not in", values, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqBetween(String value1, String value2) {
            addCriterion("LSNQ between", value1, value2, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLsnqNotBetween(String value1, String value2) {
            addCriterion("LSNQ not between", value1, value2, "lsnq");
            return (Criteria) this;
        }

        public Criteria andLswcslIsNull() {
            addCriterion("LSWCSL is null");
            return (Criteria) this;
        }

        public Criteria andLswcslIsNotNull() {
            addCriterion("LSWCSL is not null");
            return (Criteria) this;
        }

        public Criteria andLswcslEqualTo(BigDecimal value) {
            addCriterion("LSWCSL =", value, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLswcslNotEqualTo(BigDecimal value) {
            addCriterion("LSWCSL <>", value, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLswcslGreaterThan(BigDecimal value) {
            addCriterion("LSWCSL >", value, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLswcslGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("LSWCSL >=", value, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLswcslLessThan(BigDecimal value) {
            addCriterion("LSWCSL <", value, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLswcslLessThanOrEqualTo(BigDecimal value) {
            addCriterion("LSWCSL <=", value, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLswcslIn(List<BigDecimal> values) {
            addCriterion("LSWCSL in", values, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLswcslNotIn(List<BigDecimal> values) {
            addCriterion("LSWCSL not in", values, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLswcslBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSWCSL between", value1, value2, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLswcslNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSWCSL not between", value1, value2, "lswcsl");
            return (Criteria) this;
        }

        public Criteria andLsjgIsNull() {
            addCriterion("LSJG is null");
            return (Criteria) this;
        }

        public Criteria andLsjgIsNotNull() {
            addCriterion("LSJG is not null");
            return (Criteria) this;
        }

        public Criteria andLsjgEqualTo(BigDecimal value) {
            addCriterion("LSJG =", value, "lsjg");
            return (Criteria) this;
        }

        public Criteria andLsjgNotEqualTo(BigDecimal value) {
            addCriterion("LSJG <>", value, "lsjg");
            return (Criteria) this;
        }

        public Criteria andLsjgGreaterThan(BigDecimal value) {
            addCriterion("LSJG >", value, "lsjg");
            return (Criteria) this;
        }

        public Criteria andLsjgGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("LSJG >=", value, "lsjg");
            return (Criteria) this;
        }

        public Criteria andLsjgLessThan(BigDecimal value) {
            addCriterion("LSJG <", value, "lsjg");
            return (Criteria) this;
        }

        public Criteria andLsjgLessThanOrEqualTo(BigDecimal value) {
            addCriterion("LSJG <=", value, "lsjg");
            return (Criteria) this;
        }

        public Criteria andLsjgIn(List<BigDecimal> values) {
            addCriterion("LSJG in", values, "lsjg");
            return (Criteria) this;
        }

        public Criteria andLsjgNotIn(List<BigDecimal> values) {
            addCriterion("LSJG not in", values, "lsjg");
            return (Criteria) this;
        }

        public Criteria andLsjgBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSJG between", value1, value2, "lsjg");
            return (Criteria) this;
        }

        public Criteria andLsjgNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSJG not between", value1, value2, "lsjg");
            return (Criteria) this;
        }

        public Criteria andJhkssjIsNull() {
            addCriterion("JHKSSJ is null");
            return (Criteria) this;
        }

        public Criteria andJhkssjIsNotNull() {
            addCriterion("JHKSSJ is not null");
            return (Criteria) this;
        }

        public Criteria andJhkssjEqualTo(Date value) {
            addCriterion("JHKSSJ =", value, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjNotEqualTo(Date value) {
            addCriterion("JHKSSJ <>", value, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjGreaterThan(Date value) {
            addCriterion("JHKSSJ >", value, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjGreaterThanOrEqualTo(Date value) {
            addCriterion("JHKSSJ >=", value, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjLessThan(Date value) {
            addCriterion("JHKSSJ <", value, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjLessThanOrEqualTo(Date value) {
            addCriterion("JHKSSJ <=", value, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjIn(List<Date> values) {
            addCriterion("JHKSSJ in", values, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjNotIn(List<Date> values) {
            addCriterion("JHKSSJ not in", values, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjBetween(Date value1, Date value2) {
            addCriterion("JHKSSJ between", value1, value2, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjNotBetween(Date value1, Date value2) {
            addCriterion("JHKSSJ not between", value1, value2, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjIsNull() {
            addCriterion("JHJZSJ is null");
            return (Criteria) this;
        }

        public Criteria andJhjzsjIsNotNull() {
            addCriterion("JHJZSJ is not null");
            return (Criteria) this;
        }

        public Criteria andJhjzsjEqualTo(Date value) {
            addCriterion("JHJZSJ =", value, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjNotEqualTo(Date value) {
            addCriterion("JHJZSJ <>", value, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjGreaterThan(Date value) {
            addCriterion("JHJZSJ >", value, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjGreaterThanOrEqualTo(Date value) {
            addCriterion("JHJZSJ >=", value, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjLessThan(Date value) {
            addCriterion("JHJZSJ <", value, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjLessThanOrEqualTo(Date value) {
            addCriterion("JHJZSJ <=", value, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjIn(List<Date> values) {
            addCriterion("JHJZSJ in", values, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjNotIn(List<Date> values) {
            addCriterion("JHJZSJ not in", values, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjBetween(Date value1, Date value2) {
            addCriterion("JHJZSJ between", value1, value2, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andJhjzsjNotBetween(Date value1, Date value2) {
            addCriterion("JHJZSJ not between", value1, value2, "jhjzsj");
            return (Criteria) this;
        }

        public Criteria andBzsjIsNull() {
            addCriterion("BZSJ is null");
            return (Criteria) this;
        }

        public Criteria andBzsjIsNotNull() {
            addCriterion("BZSJ is not null");
            return (Criteria) this;
        }

        public Criteria andBzsjEqualTo(Date value) {
            addCriterion("BZSJ =", value, "bzsj");
            return (Criteria) this;
        }

        public Criteria andBzsjNotEqualTo(Date value) {
            addCriterion("BZSJ <>", value, "bzsj");
            return (Criteria) this;
        }

        public Criteria andBzsjGreaterThan(Date value) {
            addCriterion("BZSJ >", value, "bzsj");
            return (Criteria) this;
        }

        public Criteria andBzsjGreaterThanOrEqualTo(Date value) {
            addCriterion("BZSJ >=", value, "bzsj");
            return (Criteria) this;
        }

        public Criteria andBzsjLessThan(Date value) {
            addCriterion("BZSJ <", value, "bzsj");
            return (Criteria) this;
        }

        public Criteria andBzsjLessThanOrEqualTo(Date value) {
            addCriterion("BZSJ <=", value, "bzsj");
            return (Criteria) this;
        }

        public Criteria andBzsjIn(List<Date> values) {
            addCriterion("BZSJ in", values, "bzsj");
            return (Criteria) this;
        }

        public Criteria andBzsjNotIn(List<Date> values) {
            addCriterion("BZSJ not in", values, "bzsj");
            return (Criteria) this;
        }

        public Criteria andBzsjBetween(Date value1, Date value2) {
            addCriterion("BZSJ between", value1, value2, "bzsj");
            return (Criteria) this;
        }

        public Criteria andBzsjNotBetween(Date value1, Date value2) {
            addCriterion("BZSJ not between", value1, value2, "bzsj");
            return (Criteria) this;
        }

        public Criteria andBzrbmIsNull() {
            addCriterion("BZRBM is null");
            return (Criteria) this;
        }

        public Criteria andBzrbmIsNotNull() {
            addCriterion("BZRBM is not null");
            return (Criteria) this;
        }

        public Criteria andBzrbmEqualTo(String value) {
            addCriterion("BZRBM =", value, "bzrbm");
            return (Criteria) this;
        }

        public Criteria andBzrbmNotEqualTo(String value) {
            addCriterion("BZRBM <>", value, "bzrbm");
            return (Criteria) this;
        }

        public Criteria andBzrbmGreaterThan(String value) {
            addCriterion("BZRBM >", value, "bzrbm");
            return (Criteria) this;
        }

        public Criteria andBzrbmGreaterThanOrEqualTo(String value) {
            addCriterion("BZRBM >=", value, "bzrbm");
            return (Criteria) this;
        }

        public Criteria andBzrbmLessThan(String value) {
            addCriterion("BZRBM <", value, "bzrbm");
            return (Criteria) this;
        }

        public Criteria andBzrbmLessThanOrEqualTo(String value) {
            addCriterion("BZRBM <=", value, "bzrbm");
            return (Criteria) this;
        }

        public Criteria andBzrbmLike(String value) {
            addCriterion("BZRBM like", value, "bzrbm");
            return (Criteria) this;
        }

        public Criteria andBzrbmNotLike(String value) {
            addCriterion("BZRBM not like", value, "bzrbm");
            return (Criteria) this;
        }

        public Criteria andBzrbmIn(List<String> values) {
            addCriterion("BZRBM in", values, "bzrbm");
            return (Criteria) this;
        }

        public Criteria andBzrbmNotIn(List<String> values) {
            addCriterion("BZRBM not in", values, "bzrbm");
            return (Criteria) this;
        }

        public Criteria andBzrbmBetween(String value1, String value2) {
            addCriterion("BZRBM between", value1, value2, "bzrbm");
            return (Criteria) this;
        }

        public Criteria andBzrbmNotBetween(String value1, String value2) {
            addCriterion("BZRBM not between", value1, value2, "bzrbm");
            return (Criteria) this;
        }

        public Criteria andBzrmcIsNull() {
            addCriterion("BZRMC is null");
            return (Criteria) this;
        }

        public Criteria andBzrmcIsNotNull() {
            addCriterion("BZRMC is not null");
            return (Criteria) this;
        }

        public Criteria andBzrmcEqualTo(String value) {
            addCriterion("BZRMC =", value, "bzrmc");
            return (Criteria) this;
        }

        public Criteria andBzrmcNotEqualTo(String value) {
            addCriterion("BZRMC <>", value, "bzrmc");
            return (Criteria) this;
        }

        public Criteria andBzrmcGreaterThan(String value) {
            addCriterion("BZRMC >", value, "bzrmc");
            return (Criteria) this;
        }

        public Criteria andBzrmcGreaterThanOrEqualTo(String value) {
            addCriterion("BZRMC >=", value, "bzrmc");
            return (Criteria) this;
        }

        public Criteria andBzrmcLessThan(String value) {
            addCriterion("BZRMC <", value, "bzrmc");
            return (Criteria) this;
        }

        public Criteria andBzrmcLessThanOrEqualTo(String value) {
            addCriterion("BZRMC <=", value, "bzrmc");
            return (Criteria) this;
        }

        public Criteria andBzrmcLike(String value) {
            addCriterion("BZRMC like", value, "bzrmc");
            return (Criteria) this;
        }

        public Criteria andBzrmcNotLike(String value) {
            addCriterion("BZRMC not like", value, "bzrmc");
            return (Criteria) this;
        }

        public Criteria andBzrmcIn(List<String> values) {
            addCriterion("BZRMC in", values, "bzrmc");
            return (Criteria) this;
        }

        public Criteria andBzrmcNotIn(List<String> values) {
            addCriterion("BZRMC not in", values, "bzrmc");
            return (Criteria) this;
        }

        public Criteria andBzrmcBetween(String value1, String value2) {
            addCriterion("BZRMC between", value1, value2, "bzrmc");
            return (Criteria) this;
        }

        public Criteria andBzrmcNotBetween(String value1, String value2) {
            addCriterion("BZRMC not between", value1, value2, "bzrmc");
            return (Criteria) this;
        }

        public Criteria andShsjIsNull() {
            addCriterion("SHSJ is null");
            return (Criteria) this;
        }

        public Criteria andShsjIsNotNull() {
            addCriterion("SHSJ is not null");
            return (Criteria) this;
        }

        public Criteria andShsjEqualTo(Date value) {
            addCriterion("SHSJ =", value, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjNotEqualTo(Date value) {
            addCriterion("SHSJ <>", value, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjGreaterThan(Date value) {
            addCriterion("SHSJ >", value, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjGreaterThanOrEqualTo(Date value) {
            addCriterion("SHSJ >=", value, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjLessThan(Date value) {
            addCriterion("SHSJ <", value, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjLessThanOrEqualTo(Date value) {
            addCriterion("SHSJ <=", value, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjIn(List<Date> values) {
            addCriterion("SHSJ in", values, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjNotIn(List<Date> values) {
            addCriterion("SHSJ not in", values, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjBetween(Date value1, Date value2) {
            addCriterion("SHSJ between", value1, value2, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjNotBetween(Date value1, Date value2) {
            addCriterion("SHSJ not between", value1, value2, "shsj");
            return (Criteria) this;
        }

        public Criteria andShrbmIsNull() {
            addCriterion("SHRBM is null");
            return (Criteria) this;
        }

        public Criteria andShrbmIsNotNull() {
            addCriterion("SHRBM is not null");
            return (Criteria) this;
        }

        public Criteria andShrbmEqualTo(String value) {
            addCriterion("SHRBM =", value, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmNotEqualTo(String value) {
            addCriterion("SHRBM <>", value, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmGreaterThan(String value) {
            addCriterion("SHRBM >", value, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmGreaterThanOrEqualTo(String value) {
            addCriterion("SHRBM >=", value, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmLessThan(String value) {
            addCriterion("SHRBM <", value, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmLessThanOrEqualTo(String value) {
            addCriterion("SHRBM <=", value, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmLike(String value) {
            addCriterion("SHRBM like", value, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmNotLike(String value) {
            addCriterion("SHRBM not like", value, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmIn(List<String> values) {
            addCriterion("SHRBM in", values, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmNotIn(List<String> values) {
            addCriterion("SHRBM not in", values, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmBetween(String value1, String value2) {
            addCriterion("SHRBM between", value1, value2, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmNotBetween(String value1, String value2) {
            addCriterion("SHRBM not between", value1, value2, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrmcIsNull() {
            addCriterion("SHRMC is null");
            return (Criteria) this;
        }

        public Criteria andShrmcIsNotNull() {
            addCriterion("SHRMC is not null");
            return (Criteria) this;
        }

        public Criteria andShrmcEqualTo(String value) {
            addCriterion("SHRMC =", value, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcNotEqualTo(String value) {
            addCriterion("SHRMC <>", value, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcGreaterThan(String value) {
            addCriterion("SHRMC >", value, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcGreaterThanOrEqualTo(String value) {
            addCriterion("SHRMC >=", value, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcLessThan(String value) {
            addCriterion("SHRMC <", value, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcLessThanOrEqualTo(String value) {
            addCriterion("SHRMC <=", value, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcLike(String value) {
            addCriterion("SHRMC like", value, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcNotLike(String value) {
            addCriterion("SHRMC not like", value, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcIn(List<String> values) {
            addCriterion("SHRMC in", values, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcNotIn(List<String> values) {
            addCriterion("SHRMC not in", values, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcBetween(String value1, String value2) {
            addCriterion("SHRMC between", value1, value2, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcNotBetween(String value1, String value2) {
            addCriterion("SHRMC not between", value1, value2, "shrmc");
            return (Criteria) this;
        }

        public Criteria andQfsjIsNull() {
            addCriterion("QFSJ is null");
            return (Criteria) this;
        }

        public Criteria andQfsjIsNotNull() {
            addCriterion("QFSJ is not null");
            return (Criteria) this;
        }

        public Criteria andQfsjEqualTo(Date value) {
            addCriterion("QFSJ =", value, "qfsj");
            return (Criteria) this;
        }

        public Criteria andQfsjNotEqualTo(Date value) {
            addCriterion("QFSJ <>", value, "qfsj");
            return (Criteria) this;
        }

        public Criteria andQfsjGreaterThan(Date value) {
            addCriterion("QFSJ >", value, "qfsj");
            return (Criteria) this;
        }

        public Criteria andQfsjGreaterThanOrEqualTo(Date value) {
            addCriterion("QFSJ >=", value, "qfsj");
            return (Criteria) this;
        }

        public Criteria andQfsjLessThan(Date value) {
            addCriterion("QFSJ <", value, "qfsj");
            return (Criteria) this;
        }

        public Criteria andQfsjLessThanOrEqualTo(Date value) {
            addCriterion("QFSJ <=", value, "qfsj");
            return (Criteria) this;
        }

        public Criteria andQfsjIn(List<Date> values) {
            addCriterion("QFSJ in", values, "qfsj");
            return (Criteria) this;
        }

        public Criteria andQfsjNotIn(List<Date> values) {
            addCriterion("QFSJ not in", values, "qfsj");
            return (Criteria) this;
        }

        public Criteria andQfsjBetween(Date value1, Date value2) {
            addCriterion("QFSJ between", value1, value2, "qfsj");
            return (Criteria) this;
        }

        public Criteria andQfsjNotBetween(Date value1, Date value2) {
            addCriterion("QFSJ not between", value1, value2, "qfsj");
            return (Criteria) this;
        }

        public Criteria andQfrbmIsNull() {
            addCriterion("QFRBM is null");
            return (Criteria) this;
        }

        public Criteria andQfrbmIsNotNull() {
            addCriterion("QFRBM is not null");
            return (Criteria) this;
        }

        public Criteria andQfrbmEqualTo(String value) {
            addCriterion("QFRBM =", value, "qfrbm");
            return (Criteria) this;
        }

        public Criteria andQfrbmNotEqualTo(String value) {
            addCriterion("QFRBM <>", value, "qfrbm");
            return (Criteria) this;
        }

        public Criteria andQfrbmGreaterThan(String value) {
            addCriterion("QFRBM >", value, "qfrbm");
            return (Criteria) this;
        }

        public Criteria andQfrbmGreaterThanOrEqualTo(String value) {
            addCriterion("QFRBM >=", value, "qfrbm");
            return (Criteria) this;
        }

        public Criteria andQfrbmLessThan(String value) {
            addCriterion("QFRBM <", value, "qfrbm");
            return (Criteria) this;
        }

        public Criteria andQfrbmLessThanOrEqualTo(String value) {
            addCriterion("QFRBM <=", value, "qfrbm");
            return (Criteria) this;
        }

        public Criteria andQfrbmLike(String value) {
            addCriterion("QFRBM like", value, "qfrbm");
            return (Criteria) this;
        }

        public Criteria andQfrbmNotLike(String value) {
            addCriterion("QFRBM not like", value, "qfrbm");
            return (Criteria) this;
        }

        public Criteria andQfrbmIn(List<String> values) {
            addCriterion("QFRBM in", values, "qfrbm");
            return (Criteria) this;
        }

        public Criteria andQfrbmNotIn(List<String> values) {
            addCriterion("QFRBM not in", values, "qfrbm");
            return (Criteria) this;
        }

        public Criteria andQfrbmBetween(String value1, String value2) {
            addCriterion("QFRBM between", value1, value2, "qfrbm");
            return (Criteria) this;
        }

        public Criteria andQfrbmNotBetween(String value1, String value2) {
            addCriterion("QFRBM not between", value1, value2, "qfrbm");
            return (Criteria) this;
        }

        public Criteria andQfrmcIsNull() {
            addCriterion("QFRMC is null");
            return (Criteria) this;
        }

        public Criteria andQfrmcIsNotNull() {
            addCriterion("QFRMC is not null");
            return (Criteria) this;
        }

        public Criteria andQfrmcEqualTo(String value) {
            addCriterion("QFRMC =", value, "qfrmc");
            return (Criteria) this;
        }

        public Criteria andQfrmcNotEqualTo(String value) {
            addCriterion("QFRMC <>", value, "qfrmc");
            return (Criteria) this;
        }

        public Criteria andQfrmcGreaterThan(String value) {
            addCriterion("QFRMC >", value, "qfrmc");
            return (Criteria) this;
        }

        public Criteria andQfrmcGreaterThanOrEqualTo(String value) {
            addCriterion("QFRMC >=", value, "qfrmc");
            return (Criteria) this;
        }

        public Criteria andQfrmcLessThan(String value) {
            addCriterion("QFRMC <", value, "qfrmc");
            return (Criteria) this;
        }

        public Criteria andQfrmcLessThanOrEqualTo(String value) {
            addCriterion("QFRMC <=", value, "qfrmc");
            return (Criteria) this;
        }

        public Criteria andQfrmcLike(String value) {
            addCriterion("QFRMC like", value, "qfrmc");
            return (Criteria) this;
        }

        public Criteria andQfrmcNotLike(String value) {
            addCriterion("QFRMC not like", value, "qfrmc");
            return (Criteria) this;
        }

        public Criteria andQfrmcIn(List<String> values) {
            addCriterion("QFRMC in", values, "qfrmc");
            return (Criteria) this;
        }

        public Criteria andQfrmcNotIn(List<String> values) {
            addCriterion("QFRMC not in", values, "qfrmc");
            return (Criteria) this;
        }

        public Criteria andQfrmcBetween(String value1, String value2) {
            addCriterion("QFRMC between", value1, value2, "qfrmc");
            return (Criteria) this;
        }

        public Criteria andQfrmcNotBetween(String value1, String value2) {
            addCriterion("QFRMC not between", value1, value2, "qfrmc");
            return (Criteria) this;
        }

        public Criteria andJhzxztIsNull() {
            addCriterion("JHZXZT is null");
            return (Criteria) this;
        }

        public Criteria andJhzxztIsNotNull() {
            addCriterion("JHZXZT is not null");
            return (Criteria) this;
        }

        public Criteria andJhzxztEqualTo(String value) {
            addCriterion("JHZXZT =", value, "jhzxzt");
            return (Criteria) this;
        }

        public Criteria andJhzxztNotEqualTo(String value) {
            addCriterion("JHZXZT <>", value, "jhzxzt");
            return (Criteria) this;
        }

        public Criteria andJhzxztGreaterThan(String value) {
            addCriterion("JHZXZT >", value, "jhzxzt");
            return (Criteria) this;
        }

        public Criteria andJhzxztGreaterThanOrEqualTo(String value) {
            addCriterion("JHZXZT >=", value, "jhzxzt");
            return (Criteria) this;
        }

        public Criteria andJhzxztLessThan(String value) {
            addCriterion("JHZXZT <", value, "jhzxzt");
            return (Criteria) this;
        }

        public Criteria andJhzxztLessThanOrEqualTo(String value) {
            addCriterion("JHZXZT <=", value, "jhzxzt");
            return (Criteria) this;
        }

        public Criteria andJhzxztLike(String value) {
            addCriterion("JHZXZT like", value, "jhzxzt");
            return (Criteria) this;
        }

        public Criteria andJhzxztNotLike(String value) {
            addCriterion("JHZXZT not like", value, "jhzxzt");
            return (Criteria) this;
        }

        public Criteria andJhzxztIn(List<String> values) {
            addCriterion("JHZXZT in", values, "jhzxzt");
            return (Criteria) this;
        }

        public Criteria andJhzxztNotIn(List<String> values) {
            addCriterion("JHZXZT not in", values, "jhzxzt");
            return (Criteria) this;
        }

        public Criteria andJhzxztBetween(String value1, String value2) {
            addCriterion("JHZXZT between", value1, value2, "jhzxzt");
            return (Criteria) this;
        }

        public Criteria andJhzxztNotBetween(String value1, String value2) {
            addCriterion("JHZXZT not between", value1, value2, "jhzxzt");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("STATUS is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Short value) {
            addCriterion("STATUS =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Short value) {
            addCriterion("STATUS <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Short value) {
            addCriterion("STATUS >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Short value) {
            addCriterion("STATUS >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Short value) {
            addCriterion("STATUS <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Short value) {
            addCriterion("STATUS <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Short> values) {
            addCriterion("STATUS in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Short> values) {
            addCriterion("STATUS not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Short value1, Short value2) {
            addCriterion("STATUS between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Short value1, Short value2) {
            addCriterion("STATUS not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNull() {
            addCriterion("CREATOR is null");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNotNull() {
            addCriterion("CREATOR is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorEqualTo(String value) {
            addCriterion("CREATOR =", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotEqualTo(String value) {
            addCriterion("CREATOR <>", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThan(String value) {
            addCriterion("CREATOR >", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR >=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThan(String value) {
            addCriterion("CREATOR <", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThanOrEqualTo(String value) {
            addCriterion("CREATOR <=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLike(String value) {
            addCriterion("CREATOR like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotLike(String value) {
            addCriterion("CREATOR not like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorIn(List<String> values) {
            addCriterion("CREATOR in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotIn(List<String> values) {
            addCriterion("CREATOR not in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorBetween(String value1, String value2) {
            addCriterion("CREATOR between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotBetween(String value1, String value2) {
            addCriterion("CREATOR not between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNull() {
            addCriterion("CREATOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNotNull() {
            addCriterion("CREATOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeEqualTo(String value) {
            addCriterion("CREATOR_CODE =", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotEqualTo(String value) {
            addCriterion("CREATOR_CODE <>", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThan(String value) {
            addCriterion("CREATOR_CODE >", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE >=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThan(String value) {
            addCriterion("CREATOR_CODE <", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE <=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLike(String value) {
            addCriterion("CREATOR_CODE like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotLike(String value) {
            addCriterion("CREATOR_CODE not like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIn(List<String> values) {
            addCriterion("CREATOR_CODE in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotIn(List<String> values) {
            addCriterion("CREATOR_CODE not in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE not between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("REFRESHER =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("REFRESHER <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("REFRESHER >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("REFRESHER <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("REFRESHER like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("REFRESHER not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("REFRESHER in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("REFRESHER not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("REFRESHER between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("REFRESHER not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("REFRESHER_CODE =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("REFRESHER_CODE <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("REFRESHER_CODE >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("REFRESHER_CODE <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("REFRESHER_CODE like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("REFRESHER_CODE not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("REFRESHER_CODE in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("REFRESHER_CODE not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNull() {
            addCriterion("REFRESH_TIME is null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNotNull() {
            addCriterion("REFRESH_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeEqualTo(Date value) {
            addCriterion("REFRESH_TIME =", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotEqualTo(Date value) {
            addCriterion("REFRESH_TIME <>", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThan(Date value) {
            addCriterion("REFRESH_TIME >", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME >=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThan(Date value) {
            addCriterion("REFRESH_TIME <", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME <=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIn(List<Date> values) {
            addCriterion("REFRESH_TIME in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotIn(List<Date> values) {
            addCriterion("REFRESH_TIME not in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME not between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}